Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 749933 - sys-libs/libxcrypt: m68k keywording
Summary: sys-libs/libxcrypt: m68k keywording
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords: CC-ARCHES
Depends on:
Blocks: libxcrypt-migration
  Show dependency tree
 
Reported: 2020-10-18 13:53 UTC by Sam James
Modified: 2021-08-21 22:16 UTC (History)
1 user (show)

See Also:
Package list:
sys-libs/libxcrypt dev-python/passlib ~riscv dev-python/scrypt ~riscv
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-10-18 13:53:45 UTC
This will (likely(?)) end up replacing glibc's libcrypt, so let's keyword it everywhere
Comment 1 Sam James archtester gentoo-dev Security 2020-10-18 13:54:18 UTC
Masks will need dropping afterwards, likely.
Comment 2 NATTkA bot gentoo-dev 2020-10-18 13:56:56 UTC Comment hidden (obsolete)
Comment 3 Sam James archtester gentoo-dev Security 2020-10-18 14:02:14 UTC
I'll drop riscv for now to let them decide, CCing.
Comment 4 Sam James archtester gentoo-dev Security 2020-10-23 00:54:45 UTC
~arm added
Comment 5 Sam James archtester gentoo-dev Security 2020-10-23 01:01:32 UTC
~arm64 added
Comment 6 Sergei Trofimovich (RETIRED) gentoo-dev 2020-10-24 11:14:49 UTC
~ia64/~ppc/~ppc64/~sparc keyworded
Comment 7 Sergei Trofimovich (RETIRED) gentoo-dev 2020-11-28 11:32:43 UTC
~hppa keyworded
Comment 8 NATTkA bot gentoo-dev 2020-12-05 12:01:07 UTC Comment hidden (obsolete)
Comment 9 NATTkA bot gentoo-dev 2020-12-06 00:05:11 UTC Comment hidden (obsolete)
Comment 10 NATTkA bot gentoo-dev 2020-12-10 01:37:01 UTC Comment hidden (obsolete)
Comment 11 NATTkA bot gentoo-dev 2020-12-10 01:44:59 UTC
All sanity-check issues have been resolved
Comment 12 Matt Turner gentoo-dev 2020-12-10 02:51:37 UTC
alpha done
Comment 13 Sam James archtester gentoo-dev Security 2020-12-13 00:09:33 UTC
s390 done
Comment 14 Andreas K. Hüttel archtester gentoo-dev 2021-02-03 00:38:59 UTC
riscv done
Comment 15 Larry the Git Cow gentoo-dev 2021-02-22 02:21:07 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b44157d80c6d964231c5837d8c212d3f081cb2c1

commit b44157d80c6d964231c5837d8c212d3f081cb2c1
Author:     Joshua Kinard <kumba@gentoo.org>
AuthorDate: 2021-02-22 02:20:46 +0000
Commit:     Joshua Kinard <kumba@gentoo.org>
CommitDate: 2021-02-22 02:20:46 +0000

    sys-libs/libxcrypt: Added ~mips to KEYWORDS.
    
    Bug: https://bugs.gentoo.org/749933
    Signed-off-by: Joshua Kinard <kumba@gentoo.org>
    Package-Manager: Portage-3.0.14, Repoman-3.0.2

 sys-libs/libxcrypt/libxcrypt-4.4.17.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 16 Joshua Kinard gentoo-dev 2021-02-22 02:50:43 UTC
~mips added to libxcrypt, and also the two python packages (unannotated w/ Bug:, though).
Comment 17 Larry the Git Cow gentoo-dev 2021-08-21 22:15:43 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e1819fbb24a71d682afe2fa9372bad74b830ae2

commit 3e1819fbb24a71d682afe2fa9372bad74b830ae2
Author:     James Le Cuirot <chewi@gentoo.org>
AuthorDate: 2021-08-21 16:11:44 +0000
Commit:     James Le Cuirot <chewi@gentoo.org>
CommitDate: 2021-08-21 22:15:11 +0000

    sys-libs/libxcrypt: Keyword 4.4.25 for ~m68k
    
    One scrypt-related test fails. There was a similar failure in scrypt's
    own test suite, and I'm going to look into it.
    
    Closes: https://bugs.gentoo.org/749933
    Package-Manager: Portage-3.0.20, Repoman-3.0.3
    Signed-off-by: James Le Cuirot <chewi@gentoo.org>

 sys-libs/libxcrypt/libxcrypt-4.4.25.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)